<?php
namespace Hyva\MirasvitBrand\Block\Breadcrumbs;

/**
 * Interceptor class for @see \Hyva\MirasvitBrand\Block\Breadcrumbs
 */
class Interceptor extends \Hyva\MirasvitBrand\Block\Breadcrumbs implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Brand\Service\BrandUrlService $brandUrlService, \Mirasvit\Brand\Repository\BrandRepository $brandRepository, \Mirasvit\Brand\Model\Config\Config $config, \Mirasvit\Brand\Registry $registry, \Magento\Framework\View\Element\Template\Context $context, array $data = [], ?\Magento\Framework\Serialize\Serializer\Json $serializer = null)
    {
        $this->___init();
        parent::__construct($brandUrlService, $brandRepository, $config, $registry, $context, $data, $serializer);
    }

    /**
     * {@inheritdoc}
     */
    public function toHtml()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'toHtml');
        return $pluginInfo ? $this->___callPlugins('toHtml', func_get_args(), $pluginInfo) : parent::toHtml();
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
